A journey campaign's graph, per-step counts and enrolment totals
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/journey \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/journey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/journey"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workflowId": "<string>",
"workflowName": "<string>",
"workflowStatus": "<string>",
"definition": {},
"definitionVersion": 123,
"mixedVersions": true,
"enrolled": 123,
"running": 123,
"waiting": 123,
"needsAttention": 123,
"done": 123,
"failed": 123,
"notEnrolled": 123,
"steps": [
{
"nodeId": "<string>",
"reached": 123,
"completed": 123,
"failed": 123,
"inFlight": 123,
"skipped": 123,
"ports": {},
"avgDurationMs": 123
}
]
}Results & insights
A journey campaign's graph, per-step counts and enrolment totals
GET
/
campaigns
/
{id}
/
journey
A journey campaign's graph, per-step counts and enrolment totals
curl --request GET \
--url https://api.pineyard.ai/campaigns/{id}/journey \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pineyard.ai/campaigns/{id}/journey', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pineyard.ai/campaigns/{id}/journey"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"workflowId": "<string>",
"workflowName": "<string>",
"workflowStatus": "<string>",
"definition": {},
"definitionVersion": 123,
"mixedVersions": true,
"enrolled": 123,
"running": 123,
"waiting": 123,
"needsAttention": 123,
"done": 123,
"failed": 123,
"notEnrolled": 123,
"steps": [
{
"nodeId": "<string>",
"reached": 123,
"completed": 123,
"failed": 123,
"inFlight": 123,
"skipped": 123,
"ports": {},
"avgDurationMs": 123
}
]
}Required scope:
campaigns.viewAuthorizations
Your API key, e.g. pk_live_xxxxxxxxxxxxxxxxxxxxxxxx.
Path Parameters
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes

